%define oname VirtualGL
%define libname %mklibname %{name}


Name:           virtualgl
Summary:        A toolkit for displaying OpenGL applications to thin clients
Group:          Networking/Other
Version:        2.3.2
Release:        %mkrel 2
URL:            http://www.virtualgl.org
License:        wxWindows
Source0:        http://prdownloads.sourceforge.net/virtualgl/%{oname}-%{version}.tar.gz
BuildRequires:  X11-devel
BuildRequires:  jpeg-devel
%ifarch x86_64
BuildRequires: lib64turbojpeg
%else
BuildRequires: libturbojpeg
%endif

BuildRequires:  cmake

%description
VirtualGL is a library which allows most Linux OpenGL applications to be
remotely displayed to a thin client without the need to alter the
applications in any way.  VGL inserts itself into an application at run time
and intercepts a handful of GLX calls, which it reroutes to the server's
display (which presumably has a 3D accelerator attached.)  This causes all
3D rendering to occur on the server's display.  As each frame is rendered
by the server, VirtualGL reads back the pixels from the server's framebuffer
and sends them to the client for re-compositing into the appropriate X
Window.  VirtualGL can be used to give hardware-accelerated 3D capabilities to
VNC or other remote display environments that lack GLX support.  In a LAN
environment, it can also be used with its built-in motion-JPEG video delivery
system to remotely display full-screen 3D applications at 20+ frames/second.

VirtualGL is based upon ideas presented in various academic papers on
this topic, including "A Generic Solution for Hardware-Accelerated Remote
Visualization" (Stegmaier, Magallon, Ertl 2002) and "A Framework for
Interactive Hardware Accelerated Remote 3D-Visualization" (Engel, Sommer,
Ertl 2000.)

%files
%doc %{_defaultdocdir}/%{name}/
%{_bindir}/*

#--------------------------------------------------------------------
%package -n %{libname}
Summary:        Libraries injected by VirtualGL into applications that are ran through it
Group:          System/Libraries

%description -n %{libname}
Libraries injected by VirtualGL into applications that are ran throught it. 
Lib package allow installing 32 and 64 bits libraries at the same time.

%files -n %{libname}
%dir %{_libdir}/fakelib/
%ifarch x86_64
%dir /usr/fakelib64
/usr/fakelib64/libGL.so
%endif
%{_libdir}/fakelib/libGL.so
%{_libdir}/librrfaker.so
%{_libdir}/libdlfaker.so
%{_libdir}/libgefaker.so

#--------------------------------------------------------------------
%package devel
Summary:        A toolkit for displaying OpenGL applications to thin clients
Group:          Networking/Other
Requires:       %{libname} >= %{version}

%description devel
VirtualGL is a library which allows most Linux OpenGL applications to be
remotely displayed to a thin client without the need to alter the
applications in any way.  VGL inserts itself into an application at run
time and intercepts a handful of GLX calls, which it reroutes to the
server's display (which presumably has a 3D accelerator attached). This
causes all 3D rendering to occur on the server's display.  As each frame
is rendered by the server, VirtualGL reads back the pixels from the
server's framebuffer and sends them to the client for re-compositing into
the appropriate X Window. VirtualGL can be used to give hardware-
-accelerated 3D capabilities to VNC or other remote display environments
that lack GLX support.  In a LAN environment, it can also be used with
its built-in motion-JPEG video delivery system to remotely display
full-screen 3D applications at 20+ frames/second. 
VirtualGL is based upon ideas presented in various academic papers on
this topic, including "A Generic Solution for Hardware-Accelerated Remote
Visualization" (Stegmaier, Magallon, Ertl 2002) and "A Framework for
Interactive Hardware Accelerated Remote 3D-Visualization" (Engel, Sommer,
Ertl 2000.)

%files devel
%{_includedir}/rrtransport.h
%{_includedir}/rr.h

#--------------------------------------------------------------------
%prep
%setup -qn %{oname}-%{version}

%build
cmake -G "Unix Makefiles" \
    -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DVGL_DOCDIR=%{_defaultdocdir}/%{name} \
    -DVGL_LIBDIR=%{_libdir} \
    -DTJPEG_INCLUDE_DIR=%{_includedir} \
    -DTJPEG_LIBRARY=%{_libdir}/libturbojpeg.so

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_usr}/fakelib
mkdir -p %{buildroot}%{_libdir}/fakelib
ln -sf ../librrfaker.so %{buildroot}%{_libdir}/fakelib/libGL.so
mv -f %{buildroot}%{_bindir}/glxinfo %{buildroot}%{_bindir}/glxinfo2




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.3.2-2.mga3
+ Revision: 385425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 shlomif <shlomif> 2.3.2-1.mga3
+ Revision: 319195
- Missing BR
- New version 2.3.2

* Sat Jun 16 2012 shlomif <shlomif> 2.3.1-1.mga3
+ Revision: 261041
- imported package virtualgl

